## a2jmidid 5

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import os
from Configure import g_maxlen
import Params
import time
import Task
import re

APPNAME='a2jmidid'
VERSION='5'

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

def create_gitversion_gen(bld, header='gitversion.h', define=None):
    cmd = '../gitversion_regenerate.sh ${TGT}'
    if define:
        cmd += " " + define
    cls = Task.simple_task_type('gitversion', cmd, color='BLUE')
    cls.must_run = lambda self: True
    #cls.before = 'cxx'

    def sg(self):
        rt = Params.h_file(self.m_outputs[0].abspath(self.env()))
        return rt
    cls.signature = sg

    #def se(self):
    #    r = sg(self)
    #    return (r, r, r, r, r)
    #cls.cache_sig = property(sg, None)
    cls.cache_sig = None

    tsk = cls('gitversion', bld.env().copy())
    tsk.m_inputs = []
    tsk.m_outputs = [bld.path.find_or_declare(header)]
    tsk.prio = 1 # execute this task first

def display_msg(msg, status = None, color = None):
    sr = msg
    global g_maxlen
    g_maxlen = max(g_maxlen, len(msg))
    if status:
        print "%s :" % msg.ljust(g_maxlen),
        Params.pprint(color, status)
    else:
        print "%s" % msg.ljust(g_maxlen)

def set_options(opt):
    opt.tool_options('compiler_cc')
    opt.add_option('--enable-pkg-config-dbus-service-dir', action='store_true', default=False, help='force D-Bus service install dir to be one returned by pkg-config')

def configure(conf):
    conf.check_tool('compiler_cc')

    conf.check_pkg('alsa', mandatory=True)
    conf.check_pkg('jack', vnum="0.109.0", mandatory=True)
    conf.check_pkg('dbus-1', mandatory=True, pkgvars=['session_bus_services_dir'])

    #conf.check_header('expat.h', mandatory=True)
    #conf.env['LIB_EXPAT'] = ['expat']
    conf.check_header('getopt.h', mandatory=True)

    if Params.g_options.enable_pkg_config_dbus_service_dir:
        conf.env['DBUS_SERVICES_DIR'] = conf.env['DBUS-1_SESSION_BUS_SERVICES_DIR'][0]
    else:
        conf.env['DBUS_SERVICES_DIR'] = os.path.normpath(conf.env['PREFIX'] + '/share/dbus-1/services')

    conf.check_tool('misc')             # dbus service file subst tool

    conf.define('A2J_VERSION', VERSION)
    conf.write_config_header('config.h')

    gitrev = None
    if os.access('gitversion.h', os.R_OK):
        data = file('gitversion.h').read()
        m = re.match(r'^#define GIT_VERSION "([^"]*)"$', data)
        if m != None:
            gitrev = m.group(1)

    print
    display_msg("==================")
    version_msg = "a2jmidid-" + VERSION
    if gitrev:
        version_msg += " exported from " + gitrev
    else:
        version_msg += " git revision will checked and eventually updated during build"
    print version_msg
    print

    display_msg("Install prefix", conf.env['PREFIX'], 'CYAN')
    display_msg('D-Bus service install directory', conf.env['DBUS_SERVICES_DIR'], 'CYAN')
    if conf.env['DBUS_SERVICES_DIR'] != conf.env['DBUS-1_SESSION_BUS_SERVICES_DIR'][0]:
        print
        print Params.g_colors['RED'] + "WARNING: D-Bus session services directory as reported by pkg-config is"
        print Params.g_colors['RED'] + "WARNING:",
        print Params.g_colors['CYAN'] + conf.env['DBUS-1_SESSION_BUS_SERVICES_DIR'][0]
        print Params.g_colors['RED'] + 'WARNING: but service file will be installed in'
        print Params.g_colors['RED'] + "WARNING:",
        print Params.g_colors['CYAN'] + conf.env['DBUS_SERVICES_DIR']
        print Params.g_colors['RED'] + 'WARNING: You may need to adjust your D-Bus configuration after installing'
        print 'WARNING: You can override dbus service install directory'
        print 'WARNING: with --enable-pkg-config-dbus-service-dir option to this script'
        print Params.g_colors['NORMAL'],
    print

def build(bld):
    if not os.access('gitversion.h', os.R_OK):
        create_gitversion_gen(bld)

    prog = bld.create_obj('cc', 'program')
    prog.source = [
        'a2jmidid.c',
        'log.c',
        'port.c',
        'port_thread.c',
        'port_hash.c',
        'dbus.c',
        'dbus_iface_introspectable.c',
        'dbus_iface_control.c',
        'paths.c',
        #'conf.c',
        'jack.c',
        'sigsegv.c',
        'list.c',
        ]
    prog.includes = '.' # make waf dependency tracking work
    prog.target = 'a2jmidid'
    prog.uselib = 'ALSA JACK DBUS-1'

    prog = bld.create_obj('cc', 'program')
    prog.source = 'a2jmidi_bridge.c'
    prog.target = 'a2jmidi_bridge'
    prog.uselib = 'ALSA JACK'

    prog = bld.create_obj('cc', 'program')
    prog.source = 'j2amidi_bridge.c'
    prog.target = 'j2amidi_bridge'
    prog.uselib = 'ALSA JACK'

    # process org.gna.home.a2jmidid.service.in -> org.gna.home.a2jmidid.service
    obj = bld.create_obj('subst')
    obj.source = 'org.gna.home.a2jmidid.service.in'
    obj.target = 'org.gna.home.a2jmidid.service'
    obj.dict = {'BINDIR': bld.env()['PREFIX'] + '/bin'}
    obj.inst_var = bld.env()['DBUS_SERVICES_DIR']
    obj.inst_dir = '/'

    install_files('PREFIX', 'bin', 'a2j_control', chmod=0755)

def dist_hook():
    os.remove('gitversion_regenerate.sh')
    os.system('../gitversion_regenerate.sh gitversion.h')

## a2jmidid 6

=== wscript ===
--- 
+++ 
@@ -9,7 +9,7 @@
 import re
 
 APPNAME='a2jmidid'
-VERSION='5'
+VERSION='6'
 
 # these variables are mandatory ('/' are converted automatically)
 srcdir = '.'
@@ -150,6 +150,7 @@
     obj.inst_dir = '/'
 
     install_files('PREFIX', 'bin', 'a2j_control', chmod=0755)
+    install_files('PREFIX', 'bin', 'a2j', chmod=0755)
 
 def dist_hook():
     os.remove('gitversion_regenerate.sh')

=== debian/changelog ===
a2jmidid (6-0ubuntu2) lucid; urgency=low

  * sigsegv.c: don't try to get register information on anything but x86 and IA64. (LP: #556351)

 -- Jamie Bennett <jb@canonical.com>  Tue, 06 Apr 2010 02:53:14 -0700

a2jmidid (6-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Switch to debhelper 7.
  * Switch format to 3.0 (quilt).
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 18 Jan 2010 18:17:01 +0100

a2jmidid (5-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #268324)

 -- Eric Hedekar <afterthebeep@gmail.com>  Wed, 19 Aug 2009 04:03:27 -0700

=== debian/control ===
Source: a2jmidid
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eric Hedekar <afterthebeep@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
 python-dev,
 libasound2-dev,
 libjack-dev (>= 0.107.0),
 libdbus-1-dev
Standards-Version: 3.8.3
Homepage: http://home.gna.org/a2jmidid/

Package: a2jmidid
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python
Description: daemon for exposing legacy ALSA MIDI in JACK MIDI systems
 Main goal of this project is to ease usage of legacy, not JACK-ified
 apps, in a JACK MIDI enabled system.
 a2jmidid is daemon that implements automatic bridging. For every ALSA
 sequencer port you get one jack midi port. If ALSA sequencer port is
 both one input and one output, you get two JACK MIDI ports, one input
 and one output.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./waf configure --prefix=/usr

override_dh_auto_build:
	./waf

override_dh_auto_clean:
	./waf distclean
	dh_auto_clean

override_dh_auto_install:
	./waf --destdir=$(CURDIR)/debian/tmp install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://download.gna.org/a2jmidid/a2jmidid-(.*).tar.bz2

## a2jmidid 7

=== debian/changelog ===
a2jmidid (7-1) unstable; urgency=low

  * New upstream stable release.

 -- Alessio Treglia <alessio@debian.org>  Wed, 02 Mar 2011 10:43:11 +0100

a2jmidid (6+20100828.git60f75d9-1) unstable; urgency=low

  * Imported Upstream version 6+20100828.git60f75d9.
  * Drop binutils_gold.patch, upstream has already applied it.
  * Drop armel-sig-reg-fix.diff, already applied.
  * Upstream has imported our manpages into the sources tree.
  * debian/gbp.conf: Use gzip as compression format.

 -- Alessio Treglia <alessio@debian.org>  Wed, 12 Jan 2011 17:50:45 +0100

a2jmidid (6-2) unstable; urgency=low

  * Add patch to prevent FTBFS with binutils-gold (Closes: #603272).

 -- Alessio Treglia <alessio@debian.org>  Fri, 12 Nov 2010 14:22:20 +0100

a2jmidid (6-1) unstable; urgency=low

  * Initial Debian release. (Closes: #593734)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Fri, 20 Aug 2010 17:08:30 +0200

=== debian/control ===
Source: a2jmidid
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Alessio Treglia <alessio@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
 python (>= 2.5),
 python-support,
 libasound2-dev,
 libjack-dev (>= 0.107.0) | libjack-jackd2-dev,
 libdbus-1-dev
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Vcs-Git: git://git.debian.org/git/pkg-multimedia/a2jmidid.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/a2jmidid.git
Homepage: http://home.gna.org/a2jmidid/

Package: a2jmidid
Architecture: any
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends}
Description: Daemon for exposing legacy ALSA MIDI in JACK MIDI systems
 Main goal of this project is to ease usage of legacy, not JACK-ified
 apps, in a JACK MIDI enabled system.
 a2jmidid is a daemon that implements automatic bridging. For every ALSA
 sequencer port you get one JACK MIDI port. If ALSA sequencer port is
 both one input and one output, you get two JACK MIDI ports, one input
 and one output.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 override_dh_auto_clean:
 	./waf distclean
+	rm -rf build
 	dh_auto_clean
 
 override_dh_auto_install:

## a2jmidid 7+dfsg0

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import os
from Configure import g_maxlen
import Params
import time
import Task
import re

APPNAME='a2jmidid'
VERSION='7'

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

def create_gitversion_gen(bld, header='gitversion.h', define=None):
    cmd = '../gitversion_regenerate.sh ${TGT}'
    if define:
        cmd += " " + define
    cls = Task.simple_task_type('gitversion', cmd, color='BLUE')
    cls.must_run = lambda self: True
    #cls.before = 'cxx'

    def sg(self):
        rt = Params.h_file(self.m_outputs[0].abspath(self.env()))
        return rt
    cls.signature = sg

    #def se(self):
    #    r = sg(self)
    #    return (r, r, r, r, r)
    #cls.cache_sig = property(sg, None)
    cls.cache_sig = None

    tsk = cls('gitversion', bld.env().copy())
    tsk.m_inputs = []
    tsk.m_outputs = [bld.path.find_or_declare(header)]
    tsk.prio = 1 # execute this task first

def display_msg(msg, status = None, color = None):
    sr = msg
    global g_maxlen
    g_maxlen = max(g_maxlen, len(msg))
    if status:
        print "%s :" % msg.ljust(g_maxlen),
        Params.pprint(color, status)
    else:
        print "%s" % msg.ljust(g_maxlen)

def set_options(opt):
    opt.tool_options('compiler_cc')
    opt.add_option('--enable-pkg-config-dbus-service-dir', action='store_true', default=False, help='force D-Bus service install dir to be one returned by pkg-config')
    opt.add_option('--disable-dbus', action='store_true', default=False, help="Don't enable D-Bus support even if required dependencies are present")

def configure(conf):
    conf.check_tool('compiler_cc')

    conf.check_pkg('alsa', mandatory=True)
    conf.check_pkg('jack', vnum="0.109.0", mandatory=True)
    if not Params.g_options.disable_dbus:
        conf.check_pkg('dbus-1', mandatory=False, pkgvars=['session_bus_services_dir'])
        conf.env['DBUS_ENABLED'] = 'LIB_DBUS-1' in conf.env
    else:
        conf.env['DBUS_ENABLED'] = False

    conf.env['LIB_DL'] = ['dl']

    #conf.check_header('expat.h', mandatory=True)
    #conf.env['LIB_EXPAT'] = ['expat']
    conf.check_header('getopt.h', mandatory=True)

    if conf.env['DBUS_ENABLED']:
        if Params.g_options.enable_pkg_config_dbus_service_dir:
            conf.env['DBUS_SERVICES_DIR'] = conf.env['DBUS-1_SESSION_BUS_SERVICES_DIR'][0]
        else:
            conf.env['DBUS_SERVICES_DIR'] = os.path.normpath(conf.env['PREFIX'] + '/share/dbus-1/services')

        conf.check_tool('misc')             # dbus service file subst tool

    conf.env['MANDIR'] = os.path.normpath(conf.env['PREFIX'] + '/share/man')

    conf.define('A2J_VERSION', VERSION)
    conf.write_config_header('config.h')

    gitrev = None
    if os.access('gitversion.h', os.R_OK):
        data = file('gitversion.h').read()
        m = re.match(r'^#define GIT_VERSION "([^"]*)"$', data)
        if m != None:
            gitrev = m.group(1)

    print
    display_msg("==================")
    version_msg = "a2jmidid-" + VERSION
    if gitrev:
        version_msg += " exported from " + gitrev
    else:
        version_msg += " git revision will checked and eventually updated during build"
    print version_msg
    print

    display_msg("Install prefix", conf.env['PREFIX'], 'CYAN')
    if conf.env['DBUS_ENABLED']:
        have_dbus_status = "yes"
    else:
        have_dbus_status = "no"
    display_msg("D-Bus support", have_dbus_status)
    if conf.env['DBUS_ENABLED']:
        display_msg('D-Bus service install directory', conf.env['DBUS_SERVICES_DIR'], 'CYAN')
        if conf.env['DBUS_SERVICES_DIR'] != conf.env['DBUS-1_SESSION_BUS_SERVICES_DIR'][0]:
            print
            print Params.g_colors['RED'] + "WARNING: D-Bus session services directory as reported by pkg-config is"
            print Params.g_colors['RED'] + "WARNING:",
            print Params.g_colors['CYAN'] + conf.env['DBUS-1_SESSION_BUS_SERVICES_DIR'][0]
            print Params.g_colors['RED'] + 'WARNING: but service file will be installed in'
            print Params.g_colors['RED'] + "WARNING:",
            print Params.g_colors['CYAN'] + conf.env['DBUS_SERVICES_DIR']
            print Params.g_colors['RED'] + 'WARNING: You may need to adjust your D-Bus configuration after installing'
            print 'WARNING: You can override dbus service install directory'
            print 'WARNING: with --enable-pkg-config-dbus-service-dir option to this script'
            print Params.g_colors['NORMAL'],
    print

def build(bld):
    if not os.access('gitversion.h', os.R_OK):
        create_gitversion_gen(bld)

    prog = bld.create_obj('cc', 'program')
    prog.source = [
        'a2jmidid.c',
        'log.c',
        'port.c',
        'port_thread.c',
        'port_hash.c',
        'paths.c',
        #'conf.c',
        'jack.c',
        'list.c',
        ]

    if bld.env()['DBUS_ENABLED']:
        prog.source.append('dbus.c')
        prog.source.append('dbus_iface_introspectable.c')
        prog.source.append('dbus_iface_control.c')
        prog.source.append('sigsegv.c')

    prog.includes = '.' # make waf dependency tracking work
    prog.target = 'a2jmidid'
    prog.uselib = 'ALSA JACK DL'
    if bld.env()['DBUS_ENABLED']:
        prog.uselib += " DBUS-1"
    prog = bld.create_obj('cc', 'program')
    prog.source = 'a2jmidi_bridge.c'
    prog.target = 'a2jmidi_bridge'
    prog.uselib = 'ALSA JACK'

    prog = bld.create_obj('cc', 'program')
    prog.source = 'j2amidi_bridge.c'
    prog.target = 'j2amidi_bridge'
    prog.uselib = 'ALSA JACK'

    if bld.env()['DBUS_ENABLED']:
        # process org.gna.home.a2jmidid.service.in -> org.gna.home.a2jmidid.service
        obj = bld.create_obj('subst')
        obj.source = 'org.gna.home.a2jmidid.service.in'
        obj.target = 'org.gna.home.a2jmidid.service'
        obj.dict = {'BINDIR': bld.env()['PREFIX'] + '/bin'}
        obj.inst_var = bld.env()['DBUS_SERVICES_DIR']
        obj.inst_dir = '/'

        install_files('PREFIX', 'bin', 'a2j_control', chmod=0755)
        install_files('PREFIX', 'bin', 'a2j', chmod=0755)

    # install man pages
    man_pages = [
        "a2jmidi_bridge.1",
        "a2jmidid.1",
        "j2amidi_bridge.1",
        ]

    if bld.env()['DBUS_ENABLED']:
        man_pages.append("a2j.1")
        man_pages.append("a2j_control.1")

    for i in range(len(man_pages)):
        man_pages[i] = "man/" + man_pages[i]

    install_files('MANDIR', 'man1', man_pages)

def dist_hook():
    os.remove('gitversion_regenerate.sh')
    os.system('../gitversion_regenerate.sh gitversion.h')

=== debian/changelog ===
a2jmidid (7+dfsg0-1) unstable; urgency=low

  * Repack the tarball to get rid of waf (Closes: #654462):
    - Extract and properly replace the blob "waf" to fulfil Debian's
      requirements.
  * Call ./waf clean instead of distclean and then prune *.pyc files.

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 Jan 2012 14:00:48 +0100

a2jmidid (7-3) unstable; urgency=low

  * debian/patches/1001-a2j_port_create.patch.
    - Free client information on success too;
      patch taken from upstream's git.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Jun 2011 11:35:39 +0200

a2jmidid (7-2) unstable; urgency=low

  * debian/{control,rules}:
    - Switch from pysupport to dh_python2.
  * Add .gitignore to skip quilt files.

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 Mar 2011 20:10:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
  Alessio Treglia <alessio@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~),
- python (>= 2.5),
- python-support,
+ python-all (>= 2.6.6-3),
  libasound2-dev,
  libjack-dev (>= 0.107.0) | libjack-jackd2-dev,
  libdbus-1-dev
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/a2jmidid.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/a2jmidid.git
 Homepage: http://home.gna.org/a2jmidid/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	./waf configure --prefix=/usr
@@ -10,7 +10,8 @@
 	./waf
 
 override_dh_auto_clean:
-	./waf distclean
+	./waf clean || true
+	find wafadmin -name "*.pyc" -delete
 	rm -rf build
 	dh_auto_clean

=== debian/watch ===
version=3
http://download.gna.org/a2jmidid/a2jmidid-(.*)\.tar\.bz2

## a2jmidid 8~dfsg0

=== wscript ===
--- 
+++ 
@@ -9,7 +9,7 @@
 import re
 
 APPNAME='a2jmidid'
-VERSION='7'
+VERSION='8'
 
 # these variables are mandatory ('/' are converted automatically)
 srcdir = '.'
@@ -53,6 +53,7 @@
     opt.tool_options('compiler_cc')
     opt.add_option('--enable-pkg-config-dbus-service-dir', action='store_true', default=False, help='force D-Bus service install dir to be one returned by pkg-config')
     opt.add_option('--disable-dbus', action='store_true', default=False, help="Don't enable D-Bus support even if required dependencies are present")
+    opt.add_option('--mandir', type='string', help="Manpage directory [Default: <prefix>/share/man]")
 
 def configure(conf):
     conf.check_tool('compiler_cc')
@@ -79,7 +80,10 @@
 
         conf.check_tool('misc')             # dbus service file subst tool
 
-    conf.env['MANDIR'] = os.path.normpath(conf.env['PREFIX'] + '/share/man')
+    if Params.g_options.mandir:
+        conf.env['MANDIR'] = Params.g_options.mandir
+    else:
+        conf.env['MANDIR'] = conf.env['PREFIX'] + '/share/man'
 
     conf.define('A2J_VERSION', VERSION)
     conf.write_config_header('config.h')

=== debian/changelog ===
a2jmidid (8~dfsg0-3) unstable; urgency=medium

  * Team upload.
  * d/control:
    + Drop obsolete field DM-Upload-Allowed
    + Drop pointless field 'X-Python-Version: >= 2.5'
    + Canonicalize Vcs-* fields, and use https.
    + Add build-depepndency on dh-python to avoid a build warning
    + Add dependency on python-dbus.  Closes: #824070
    + Bump Standards-Version to 3.9.8, no changes needed
  * d/rules:
    + Use the -S option of dpkg-parsechangelog to get the field, instead of sed.
  * Bump debhelper compat level to 10
  * d/watch: use @ARCHIVE_EXT@ to look for eventually different archive types.
  * Pull patch from Ubuntu to fix FTBFS in arm64.  Closes: #773088
    Thanks to Logan Rosen <logan@ubuntu.com> for the patch.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 28 Dec 2016 09:50:56 +0100

a2jmidid (8~dfsg0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches:
    - ppc64-sigsegv.patch: sigsegv.c: added condition to use ucontext.h
      for ppc64, which wasn't being covered. (Closes: #769141)

 -- Fernando Seiti Furusato <ferseiti@linux.vnet.ibm.com>  Mon, 05 Dec 2016 11:51:07 -0200

a2jmidid (8~dfsg0-2) unstable; urgency=medium

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Nov 2016 18:45:52 +0000

a2jmidid (8~dfsg0-1) unstable; urgency=low

  * New upstream release:
    - -u commandline option
    - D-Bus method for checking whether hw export is enabled.
    - Fix for resource leak.
    - Improved error message for snd_seq_connect_to() failures
    - --mandir= option in waf.
  * Drop 1001-a2j_port_create.patch, applied upstream.
  * debian/gbp.conf: Don't sign tags.
  * debian/{rules,watch}:
    - Setup repacking mechanism to regenerate the upstream tarball.
  * debian/control:
    - Bump Standards.
  * debian/co{ntrol,pyright}:
    - wrap-and-sort -a -s
  * debian/copyright:
    - Add myself to the copyright holders of debian/*.

 -- Alessio Treglia <alessio@debian.org>  Thu, 02 Aug 2012 13:16:51 +0200

=== debian/control ===
Source: a2jmidid
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 libasound2-dev,
 libdbus-1-dev,
 libjack-dev (>= 0.107.0) | libjack-jackd2-dev,
 python-all (>= 2.6.6-3),
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/a2jmidid.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/a2jmidid.git
Homepage: http://home.gna.org/a2jmidid/

Package: a2jmidid
Architecture: any
Depends:
 python-dbus,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Daemon for exposing legacy ALSA MIDI in JACK MIDI systems
 Main goal of this project is to ease usage of legacy, not JACK-ified
 apps, in a JACK MIDI enabled system.
 a2jmidid is a daemon that implements automatic bridging. For every ALSA
 sequencer port you get one JACK MIDI port. If ALSA sequencer port is
 both one input and one output, you get two JACK MIDI ports, one input
 and one output.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+upstream_version ?= $(shell dpkg-parsechangelog -S Version | sed -rne 's/^([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
+dfsg_version = $(upstream_version)~dfsg0
+pkg = $(shell dpkg-parsechangelog -S Source)
 
 %:
 	dh $@ --with python2
@@ -20,3 +24,15 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+# get-orig-source to drop waf
+get-orig-source:
+	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
+	tar -xf $(pkg)_$(upstream_version).orig.tar.bz2
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
+	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
+	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
+	rmdir $(pkg)-$(dfsg_version)/.waf-*
+	BZIP="-9f" tar -czf $(pkg)_$(dfsg_version).orig.tar.bz2 $(pkg)-$(dfsg_version)
+	rm -rf $(pkg)-$(dfsg_version)

=== debian/watch ===
version=4
opts=dversionmangle=s/~dfsg\d+$// \
http://download.gna.org/a2jmidid/a2jmidid-(.*)@ARCHIVE_EXT@

## a2jmidid 9

=== debian/changelog ===
a2jmidid (9-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster

  [ Dennis Braun ]
  * Update control

  [ Dylan Aïssi ]
  * debian/copyright: switch to DEP-5
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 Aug 2025 10:06:00 +0200

a2jmidid (9-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Enable building for LoongArch (Closes: #1051821)

  [ Erich Eickmeyer ]
  * Patch: add port id to port name to avoid collision (LP: #2058799)
    - (Closes: #1067662)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2024 18:04:34 +0200

a2jmidid (9-3) unstable; urgency=medium

  * Team upload.
  * Add support for riscv64, thanks Heinrich Schuchardt
    <heinrich.schuchardt@canonical.com>. (Closes: #995472)

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 13 Feb 2023 21:15:41 +0800

a2jmidid (9-2) unstable; urgency=medium

  * Team upload
  * Brown paper bag release
    - Include proper changelog

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 18:36:50 +0200

a2jmidid (9-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release (Closes: #941167)
    - Port to Python 3 (Closes: #936104)
  * debian/control:
    - Bump debhelper compat to 12
    - Bump Standards-Version
  * debian/:
    - Point to new upstream
    - Use meson build system and Python 3

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 18:07:19 +0200

=== debian/control ===
Source: a2jmidid
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libasound2-dev,
 libdbus-1-dev,
 libjack-jackd2-dev | libjack-dev,
 python3,
 meson
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/multimedia-team/a2jmidid.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/a2jmidid
Homepage: https://github.com/linuxaudio/a2jmidid/

Package: a2jmidid
Architecture: any
Depends:
 python3-dbus,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Daemon for exposing legacy ALSA MIDI in JACK MIDI systems
 Main goal of this project is to ease usage of legacy, not JACK-ified
 apps, in a JACK MIDI enabled system.
 a2jmidid is a daemon that implements automatic bridging. For every ALSA
 sequencer port you get one JACK MIDI port. If ALSA sequencer port is
 both one input and one output, you get two JACK MIDI ports, one input
 and one output.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%a2jmidid-$1.tar.gz%"
https://github.com/linuxaudio/a2jmidid/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
